%define upstream_name	 MARC-Record
%define upstream_version 2.0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} module for perl
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/MARC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Module for handling MARC records as objects.
The file-handling stuff is in MARC::File::*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#chmod 644  $RPM_BUILD_ROOT/%{perl_vendorlib}/MARC/Record.pm
#chmod 644  $RPM_BUILD_ROOT/%{perl_vendorlib}/MARC/Field.pm

%files
%defattr(-,root,root)
%{_bindir}/marcdump
%doc Changes META.yml README
%{perl_vendorlib}/MARC
%{_mandir}/*/*

%changelog
* Tue Feb 22 2011 jquelin <jquelin> 2.0.3-1.mga1
+ Revision: 56622
- update to 2.0.3
- using %%perl_convert_version

* Thu Jan 20 2011 jquelin <jquelin> 2.0.2-1.mga1
+ Revision: 26476
- mageia rebuild
- imported package perl-MARC-Record


* Fri May 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.0.2-1mdv2010.1
+ Revision: 543146
- Update to 2.0.2

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.0.0-5mdv2010.0
+ Revision: 430498
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-4mdv2009.0
+ Revision: 257751
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-3mdv2009.0
+ Revision: 245821
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0.0-1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 14 2007 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-1mdv2007.0
+ Revision: 120948
- Update to 2.0.0
- MARC::Lint is now in a separate module
- Import perl-MARC-Record

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.38-2mdk
- Fix According to perl Policy
	- Source URL

* Thu May 04 2006 Jerome Soyer <saispo@mandriva.org> 1.38-1mdk
- From Stphane Tletcha <steletch@mandriva.org>
- Initial Mandriva release

